extends Area2D

class_name Hurtbox

## REMINDER: ALWAYS INSTANTIATE THIS SCENE (THE CHAIN ICON) IF YOU WANT TO USE IT, DON'T ADD CHILD NODE (THE PLUS ICON)!


signal got_hurt(actor_stats: ActorStats)

enum Team {
	NONE = 0,
	PLAYER = 1,
	ENEMY = 2,
}

@export var team := Team.NONE


func hurt(actor_stats: ActorStats) -> bool:
	got_hurt.emit(actor_stats)
	return true
