class_name BuildDataResource
extends Resource


signal chosen_structure_changed(index: int)

@export var structure_resources: Array[StructureResource] = [
	#preload("res://objects/resources/structure/test_struct.tres"),
	#preload("res://objects/resources/structure/test_struct2.tres"),
]

#var structures : Dictionary = {
	#"test_struct": preload("res://objects/structures/test_struct.tscn"),
	#"test_struct2": preload("res://objects/structures/test_struct2.tscn"),
#}

## -1 if no structure selected
var current_selected_structure: int = -1 :
	set(value):
		current_selected_structure = value
		chosen_structure_changed.emit(current_selected_structure)


#var current_structure_selected: StructureSlot = null :
	#set(value):
		#current_structure_selected = value
		#if value != null:
			#chosen_structure_changed.emit(current_structure_selected.struct_data.id)
		#else:
			#chosen_structure_changed.emit("")


#func get_structure(id: String) -> PackedScene:
	#if structures.has(id):
		#return structures[id]
	#else:
		#return null


func get_current_structure() -> StructureResource:
	if current_selected_structure == -1:
		return null
	return structure_resources[current_selected_structure]
