extends CharacterBody2D

class_name Actor


@export var stats := ActorStats.new()
@export var hurtbox: Hurtbox


func _ready() -> void:
	stats.died.connect(_on_died)
	
	hurtbox.got_hurt.connect(_on_hurtbox_got_hurt)


func _on_died() -> void:
	pass


func _on_hurtbox_got_hurt(actor_stats: ActorStats) -> void:
	stats.process_damage(actor_stats.damage)
