class_name StructureResource
extends Resource


@export var icon: Texture2D = null : get = _get_item_icon, set = _set_item_icon
@export var name: String = "ItemResource" : get = _get_item_name, set = _set_item_name
@export var id: String = "ID" : get = _get_item_id, set = _set_item_id

#@export_enum("Process", "Defense", "Offense")
#var type : String = "Defense"

@export_multiline var description : String = "Desc" : get = _get_item_desc, set = _set_item_desc

@export var item_req: Array[ItemQuantity] = []
@export var need_support := false
@export var structure_scn: PackedScene


func _set_item_icon(new_value : Texture2D) -> void:
	icon = new_value

func _set_item_name(new_value : String) -> void:
	name = new_value
	
func _set_item_id(new_value : String) -> void:
	id = new_value

func _set_item_desc(new_value : String) -> void:
	description = new_value

func _get_item_icon() -> Texture2D:
	return icon

func _get_item_name() -> String:
	return name

func _get_item_id() -> String:
	return id

func _get_item_desc() -> String:
	return description
