extends Area2D

@onready var dialogue_player
@onready var indicator : RichTextLabel

func find_and_use_dialogue(event):
	indicator.visible = true
	if event.is_action_pressed("spacebar") and dialogue_player:
		dialogue_player.play()

func _ready():
	dialogue_player = get_node_or_null("DialoguePlayer")
	indicator = dialogue_player.find_child("Indicator")
		
func _input(event):
	if len(get_overlapping_bodies()) > 0:
		find_and_use_dialogue(event)

func _on_body_exited(body):
	if body is Grovekeeper:
		indicator.visible = false
		
