extends Area2D

class_name PlayerDetector


signal player_detected(player: Node2D)
signal player_undetected(player: Node2D)


func _on_body_entered(body: Node2D) -> void:
	if body.get_meta("player", false):
		player_detected.emit(body)


func _on_body_exited(body: Node2D) -> void:
	if body.get_meta("player", false):
		player_undetected.emit(body)
