extends Node2D

class_name ProjectileShooter


@export var team := Hurtbox.Team.NONE
@export var projectile_scn := preload("res://objects/projectiles/projectile.tscn")

# Will be given by the actor in _ready()
var actor_stats: ActorStats


func fire() -> void:
	var projectile: Projectile = projectile_scn.instantiate()
	
	# HACK: this is assuming the projectile shooter is always in a saved scene and the owner's parent is the game world. eg. this won't work with dynamically instantiated projectile shooter
	owner.get_parent().add_child(projectile)
	
	# HACK: this is assuming the projectile shooter rotation determine the projectile rotation
	projectile.initialize(global_position, global_rotation, actor_stats, team)
