class_name Building
extends StaticBody2D


signal destroyed()


## Post-place, ran after building is placed
## Note that requirements is already processed natively
#func _after_place(inventory_data: InventoryDataResource) -> void:
	#pass


## Interact, ran when player interacts with the building
## Returns true if successfully interacted with.
## Return false if not interacted.
## (not yet connected)
#func _interact(inventory_data: InventoryDataResource) -> bool:
	#return false


## Building tick, non-interacting behaviour
## Runs every process call with delta
#func _tick(delta:float, inventory_data: InventoryDataResource) -> void:
	#pass


## Pre-delete, ran before building is deleted
## Inventory doesn't change natively.
# The default behaviour is to return requirements back to inventory
#func _before_delete(inventory_data: InventoryDataResource) -> void:
	#pass
