extends TextureRect

@export var next_scene_to_load : String
@export var prev_scene_to_load : String
@onready var exit_path = str("res://rooms/main_menu.tscn")
@onready var next_path = str("res://rooms/" + next_scene_to_load + ".tscn")
@onready var prev_path = str("res://rooms/" + prev_scene_to_load + ".tscn")

func _on_exit_button_pressed():
	get_tree().change_scene_to_file(exit_path)

func _on_next_button_pressed():
	get_tree().change_scene_to_file(next_path)

func _on_prev_button_pressed():
	get_tree().change_scene_to_file(prev_path)
